## org.eclipse.datatools.connectivity.oda.design
Interface ResultSetDefinition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ResultSetDefinition

extends org.eclipse.emf.ecore.EObject

Definition of a single homogeneous result set returned by a data set query.

The following features are supported:

- `Name`
- `Result Set Columns`
- `Criteria`

See Also:
  `DesignPackage.getResultSetDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`ResultSetCriteria` `getCriteria()` Returns the value of the 'Criteria' containment reference.
`java.lang.String` `getName()` Returns the value of the 'Name' attribute.
`ResultSetColumns` `getResultSetColumns()` Returns the value of the 'Result Set Columns' containment reference.
`void` `setCriteria(ResultSetCriteria value)` Sets the value of the '`Criteria`' containment reference.
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute.
`void` `setResultSetColumns(ResultSetColumns value)` Sets the value of the '`Result Set Columns`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. A name that uniquely identifies a result set at runtime. If not specified, a result set is identified by its sequence in the resultSetDefinitions.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DesignPackage.getResultSetDefinition_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getResultSetColumns

    ResultSetColumns getResultSetColumns()

  Returns the value of the 'Result Set Columns' containment reference. Collection of data columns for this result set.

  Returns:
    the value of the 'Result Set Columns' containment reference.
  See Also:
    `setResultSetColumns(ResultSetColumns)`, `DesignPackage.getResultSetDefinition_ResultSetColumns()`

### setResultSetColumns

    void setResultSetColumns(ResultSetColumns value)

  Sets the value of the '`Result Set Columns`' containment reference.

  Parameters:
    `value` - the new value of the 'Result Set Columns' containment reference.
  See Also:
    `getResultSetColumns()`

### getCriteria

    ResultSetCriteria getCriteria()

  Returns the value of the 'Criteria' containment reference.

  If the meaning of the 'Criteria' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Criteria' containment reference.
  Since:
    3.3 (DTP 1.8)
  See Also:
    `setCriteria(ResultSetCriteria)`, `DesignPackage.getResultSetDefinition_Criteria()`

### setCriteria

    void setCriteria(ResultSetCriteria value)

  Sets the value of the '`Criteria`' containment reference.

  Parameters:
    `value` - the new value of the 'Criteria' containment reference.
  Since:
    3.3 (DTP 1.8)
  See Also:
    `getCriteria()`